totem_config Struct Reference

`#include <totem.h>`

Collaboration diagram for totem_config:
[legend]

## Data Fields

int | version
struct totem_interface * | interfaces
struct totem_interface * | orig_interfaces
unsigned int | node_id
unsigned int | clear_node_high_bit
unsigned int | knet_pmtud_interval
unsigned int | knet_mtu
unsigned char | private_key [TOTEM_PRIVATE_KEY_LEN_MAX]
unsigned int | private_key_len
unsigned int | token_timeout
unsigned int | token_warning
unsigned int | token_retransmit_timeout
unsigned int | token_hold_timeout
unsigned int | token_retransmits_before_loss_const
unsigned int | join_timeout
unsigned int | send_join_timeout
unsigned int | consensus_timeout
unsigned int | merge_timeout
unsigned int | downcheck_timeout
unsigned int | fail_to_recv_const
unsigned int | seqno_unchanged_const
char | link_mode [TOTEM_LINK_MODE_BYTES]
struct totem_logging_configuration | totem_logging_configuration
unsigned int | net_mtu
unsigned int | threads
unsigned int | heartbeat_failures_allowed
unsigned int | max_network_delay
unsigned int | window_size
unsigned int | max_messages
unsigned int | broadcast_use
char | crypto_model [CONFIG_STRING_LEN_MAX]
char | crypto_cipher_type [CONFIG_STRING_LEN_MAX]
char | crypto_hash_type [CONFIG_STRING_LEN_MAX]
int | crypto_index
int | crypto_changed
char | knet_compression_model [CONFIG_STRING_LEN_MAX]
uint32_t | knet_compression_threshold
int | knet_compression_level
totem_transport_t | transport_number
unsigned int | miss_count_const
enum totem_ip_version_enum | ip_version
unsigned int | block_unlisted_ips
unsigned int | cancel_token_hold_on_retransmit
void(* | totem_memb_ring_id_create_or_load )(struct memb_ring_id *memb_ring_id, unsigned int nodeid)
void(* | totem_memb_ring_id_store )(const struct memb_ring_id *memb_ring_id, unsigned int nodeid)

## Detailed Description

Definition at line 159 of file totem.h.

## Field Documentation

## block_unlisted_ips

unsigned int totem_config::block_unlisted_ips

Definition at line 246 of file totem.h.

## broadcast_use

unsigned int totem_config::broadcast_use

Definition at line 222 of file totem.h.

Referenced by totem_config_read(), and totem_config_validate().

## cancel_token_hold_on_retransmit

unsigned int totem_config::cancel_token_hold_on_retransmit

Definition at line 248 of file totem.h.

## clear_node_high_bit

unsigned int totem_config::clear_node_high_bit

Definition at line 168 of file totem.h.

Referenced by totem_config_read().

## consensus_timeout

unsigned int totem_config::consensus_timeout

Definition at line 196 of file totem.h.

Referenced by totem_volatile_config_validate(), and totemsrp_initialize().

## crypto_changed

int totem_config::crypto_changed

Definition at line 232 of file totem.h.

Referenced by totem_config_keyread(), totem_config_read(), and totemknet_reconfigure().

## crypto_cipher_type

char totem_config::crypto_cipher_type[CONFIG_STRING_LEN_MAX]

Definition at line 226 of file totem.h.

Referenced by totem_config_keyread(), totem_config_validate(), and totemknet_reconfigure().

## crypto_hash_type

char totem_config::crypto_hash_type[CONFIG_STRING_LEN_MAX]

Definition at line 228 of file totem.h.

Referenced by totem_config_keyread(), totem_config_validate(), and totemknet_reconfigure().

## crypto_index

int totem_config::crypto_index

Definition at line 230 of file totem.h.

Referenced by totem_config_read(), totemknet_crypto_reconfigure_phase(), totemknet_initialize(), and totemknet_reconfigure().

## crypto_model

char totem_config::crypto_model[CONFIG_STRING_LEN_MAX]

Definition at line 224 of file totem.h.

Referenced by totemknet_reconfigure().

## downcheck_timeout

unsigned int totem_config::downcheck_timeout

Definition at line 200 of file totem.h.

Referenced by totem_volatile_config_validate(), totemsrp_initialize(), totemudp_processor_count_set(), and totemudpu_processor_count_set().

## fail_to_recv_const

unsigned int totem_config::fail_to_recv_const

Definition at line 202 of file totem.h.

Referenced by totemsrp_initialize().

## heartbeat_failures_allowed

unsigned int totem_config::heartbeat_failures_allowed

Definition at line 214 of file totem.h.

Referenced by totemsrp_initialize().

## interfaces

struct totem_interface* totem_config::interfaces

Definition at line 165 of file totem.h.

Referenced by main_iface_change_fn(), totem_config_read(), totem_config_validate(), totem_volatile_config_read(), totem_volatile_config_validate(), totemconfig_commit_new_params(), totemknet_ifaces_get(), totemknet_initialize(), totemknet_member_add(), totemknet_nodestatus_get(), totempg_get_config(), totempg_put_config(), totemsrp_ifaces_get(), totemsrp_initialize(), totemsrp_my_family_get(), totemudp_initialize(), totemudp_net_mtu_adjust(), totemudpu_initialize(), and totemudpu_net_mtu_adjust().

## ip_version

enum totem_ip_version_enum totem_config::ip_version

Definition at line 244 of file totem.h.

Referenced by totem_config_read().

## join_timeout

unsigned int totem_config::join_timeout

Definition at line 192 of file totem.h.

Referenced by totem_volatile_config_validate(), and totemsrp_initialize().

## knet_compression_level

int totem_config::knet_compression_level

Definition at line 238 of file totem.h.

## knet_compression_model

char totem_config::knet_compression_model[CONFIG_STRING_LEN_MAX]

Definition at line 234 of file totem.h.

Referenced by totemknet_initialize().

## knet_compression_threshold

uint32_t totem_config::knet_compression_threshold

Definition at line 236 of file totem.h.

## knet_mtu

unsigned int totem_config::knet_mtu

Definition at line 170 of file totem.h.

Referenced by totemknet_initialize().

## knet_pmtud_interval

unsigned int totem_config::knet_pmtud_interval

Definition at line 169 of file totem.h.

Referenced by totemknet_initialize().

## link_mode

char totem_config::link_mode[TOTEM_LINK_MODE_BYTES]

Definition at line 206 of file totem.h.

Referenced by totem_config_read(), totem_config_validate(), and totemknet_initialize().

## max_messages

unsigned int totem_config::max_messages

Definition at line 220 of file totem.h.

Referenced by totemsrp_initialize().

## max_network_delay

unsigned int totem_config::max_network_delay

Definition at line 216 of file totem.h.

Referenced by totem_volatile_config_validate(), and totemsrp_initialize().

## merge_timeout

unsigned int totem_config::merge_timeout

Definition at line 198 of file totem.h.

Referenced by totem_volatile_config_validate(), and totemsrp_initialize().

## miss_count_const

unsigned int totem_config::miss_count_const

Definition at line 242 of file totem.h.

Referenced by totemsrp_initialize().

## net_mtu

unsigned int totem_config::net_mtu

Definition at line 210 of file totem.h.

Referenced by totem_config_read(), totem_config_validate(), totemknet_net_mtu_adjust(), totempg_initialize(), totemsrp_initialize(), totemsrp_net_mtu_adjust(), totemudp_net_mtu_adjust(), totemudp_nodestatus_get(), totemudpu_net_mtu_adjust(), and totemudpu_nodestatus_get().

## node_id

unsigned int totem_config::node_id

Definition at line 167 of file totem.h.

Referenced by totem_config_read(), totem_config_validate(), totemknet_initialize(), totemudp_initialize(), and totemudpu_initialize().

## orig_interfaces

struct totem_interface* totem_config::orig_interfaces

Definition at line 166 of file totem.h.

Referenced by main_iface_change_fn(), and totemconfig_commit_new_params().

## private_key

unsigned char totem_config::private_key[TOTEM_PRIVATE_KEY_LEN_MAX]

Definition at line 175 of file totem.h.

Referenced by totem_config_keyread().

## private_key_len

unsigned int totem_config::private_key_len

Definition at line 177 of file totem.h.

Referenced by totem_config_keyread().

## send_join_timeout

unsigned int totem_config::send_join_timeout

Definition at line 194 of file totem.h.

Referenced by totemsrp_initialize().

## seqno_unchanged_const

unsigned int totem_config::seqno_unchanged_const

Definition at line 204 of file totem.h.

Referenced by totemsrp_initialize().

## threads

unsigned int totem_config::threads

Definition at line 212 of file totem.h.

Referenced by totem_config_read(), and totemsrp_initialize().

## token_hold_timeout

unsigned int totem_config::token_hold_timeout

Definition at line 188 of file totem.h.

Referenced by totem_volatile_config_validate(), and totemsrp_initialize().

## token_retransmit_timeout

unsigned int totem_config::token_retransmit_timeout

Definition at line 186 of file totem.h.

Referenced by totem_volatile_config_read(), totem_volatile_config_validate(), and totemsrp_initialize().

## token_retransmits_before_loss_const

unsigned int totem_config::token_retransmits_before_loss_const

Definition at line 190 of file totem.h.

Referenced by totem_volatile_config_read(), and totemsrp_initialize().

## token_timeout

unsigned int totem_config::token_timeout

Definition at line 182 of file totem.h.

Referenced by totem_volatile_config_read(), totem_volatile_config_validate(), and totemsrp_initialize().

## token_warning

unsigned int totem_config::token_warning

Definition at line 184 of file totem.h.

Referenced by totem_volatile_config_validate(), and totemsrp_initialize().

## totem_logging_configuration

struct totem_logging_configuration totem_config::totem_logging_configuration

Definition at line 208 of file totem.h.

Referenced by main(), totemknet_initialize(), totempg_initialize(), totemsrp_initialize(), totemudp_initialize(), and totemudpu_initialize().

## totem_memb_ring_id_create_or_load

void(* totem_config::totem_memb_ring_id_create_or_load) (struct memb_ring_id *memb_ring_id, unsigned int nodeid)

Definition at line 250 of file totem.h.

Referenced by main(), and totemsrp_initialize().

## totem_memb_ring_id_store

void(* totem_config::totem_memb_ring_id_store) (const struct memb_ring_id *memb_ring_id, unsigned int nodeid)

Definition at line 254 of file totem.h.

Referenced by main(), and totemsrp_initialize().

## transport_number

totem_transport_t totem_config::transport_number

Definition at line 240 of file totem.h.

Referenced by totem_config_read(), and totem_config_validate().

## version

int totem_config::version

Definition at line 160 of file totem.h.

Referenced by totem_config_read(), and totem_config_validate().

## window_size

unsigned int totem_config::window_size

Definition at line 218 of file totem.h.

Referenced by totemsrp_initialize().

The documentation for this struct was generated from the following file:

- totem.h